0

Compilation error Atlantic-9.0.0-RC2

asked 2019-11-21 21:58:42 +0800

mikrobe gravatar image mikrobe
61 1 4

I downloaded the Atlantic v9.0.0-RC2 and tried to compile but it failed. I am on a Ubuntu 16.04 with java version "1.8.0_201" I got the following error, any suggestions?

[INFO] --- exec-maven-plugin:1.6.0:exec (compile-less) @ atlantic --- Unexpected token ... [ERROR] Command execution failed. org.apache.commons.exec.ExecuteException: Process exited with an error: 1 (Exit value: 1) at org.apache.commons.exec.DefaultExecutor.executeInternal(DefaultExecutor.java:404) at org.apache.commons.exec.DefaultExecutor.execute(DefaultExecutor.java:166) at org.codehaus.mojo.exec.ExecMojo.executeCommandLine(ExecMojo.java:804) at org.codehaus.mojo.exec.ExecMojo.executeCommandLine(ExecMojo.java:751) at org.codehaus.mojo.exec.ExecMojo.execute(ExecMojo.java:313) at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:134) at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:207) at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153) at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145) at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:116) at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:80) at org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:51) at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128) at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:307) at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:193) at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:106) at org.apache.maven.cli.MavenCli.execute(MavenCli.java:863) at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:288) at org.apache.maven.cli.MavenCli.main(MavenCli.java:199) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) at java.lang.reflect.Method.invoke(Method.java:498) at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:289) at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229) at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415) at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356) [INFO] ------------------------------------------------------------------------ [INFO] BUILD FAILURE [INFO] ------------------------------------------------------------------------ [INFO] Total time: 0.879 s [INFO] Finished at: 2019-11-21T14:54:02+01:00 [INFO] Final Memory: 17M/607M [INFO] ------------------------------------------------------------------------ [ERROR] Failed to execute goal org.codehaus.mojo:exec-maven-plugin:1.6.0:exec (compile-less) on project atlantic: Command execution failed. Process exited with an error: 1 (Exit value: 1) -> [Help 1]

delete flag offensive retag edit

Comments

BTW: I increased your karma so you can post links next time.

cor3000 ( 2019-11-22 10:46:52 +0800 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2019-11-22 10:07:15 +0800

cor3000 gravatar image cor3000
4952 2 7
ZK Team

updated 2019-11-22 10:33:26 +0800

First up, no need to compile yourself. A binary version is available in our maven eval repo. https://mavensync.zkoss.org/eval/org/zkoss/theme/atlantic/9.0.0-RC2-Eval/

However if it's your desire to compile the latest SNAPSHOTS manually you need to install the zkless-engine (npm package).

Here the sequence of commands:

git clone [email protected]:zkoss/atlantic.git
cd atlantic
git checkout v9.0.0-RC2
npm install
mvn clean package

Based on your error message step 4 seems missing in your attempt.

You can also install zkless-engine globally, and skip step 4.

npm install -g zkless-engine
link publish delete flag offensive edit

Comments

Actually I did it. Firstly I had to install npx then I installed zkless-engine. I did it as root, if it is of any help. I asked my colleague to do the same and he got the same error. BTW, I need to compile it because I apply some changes to colors and use it as a module in a bigger Maven project

mikrobe ( 2019-11-22 13:21:29 +0800 )edit

hmm then it seems an issue about how nodejs/npm is installed, I am using linux mint 19.2 and I never had to use the root user for that. and npx is provided by default in the node version I am using (12.13.0) I am using 'n' (https://github.com/tj/n) to install different node versions.

cor3000 ( 2019-11-22 13:41:52 +0800 )edit

Thank you! I updated node to latest version and now it compiles.

mikrobe ( 2019-11-22 15:46:52 +0800 )edit

that's good news ... glad I could help

cor3000 ( 2019-11-22 16:03:26 +0800 )edit
Your answer
Please start posting your answer anonymously - your answer will be saved within the current session and published after you log in or create a new account. Please try to give a substantial answer, for discussions, please use comments and please do remember to vote (after you log in)!

[hide preview]

Question tools

Follow
3 followers

RSS

Stats

Asked: 2019-11-21 21:58:42 +0800

Seen: 13 times

Last updated: Nov 22

Support Options
  • Email Support
  • Training
  • Consulting
  • Outsourcing
Learn More